# Invitation

## GET /api/v2/SentInvitations/{strToken}

> Gets a list of invitations sent by the currently logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/SentInvitations/{strToken}":{"get":{"tags":["Invitation"],"summary":"Gets a list of invitations sent by the currently logged in User.","operationId":"Invitation-ListSentInvitations","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListInvitationsResponse"}}}}}}}},"components":{"schemas":{"ListInvitationsResponse":{"type":"object","properties":{"invitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"The list of Invitation objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Sent Invitations or List Received Invitations\r\nrequests."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## GET /api/v2/ReceivedInvitations/{strToken}

> Gets a list of invitations received by the currently logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ReceivedInvitations/{strToken}":{"get":{"tags":["Invitation"],"summary":"Gets a list of invitations received by the currently logged in User.","operationId":"Invitation-ListReceivedInvitations","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListInvitationsResponse"}}}}}}}},"components":{"schemas":{"ListInvitationsResponse":{"type":"object","properties":{"invitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"The list of Invitation objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Sent Invitations or List Received Invitations\r\nrequests."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## Gets a list of invitations sent for the specified Memori object.

> Access to Invitation objects not belonging to the current logged in> \
> user is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/MemoriInvitations/{strToken}/{strMemoriID}":{"get":{"tags":["Invitation"],"summary":"Gets a list of invitations sent for the specified Memori object.","description":"Access to Invitation objects not belonging to the current logged in\r\nuser is granted only to administrative users.","operationId":"Invitation-ListMemoriInvitations","parameters":[{"name":"strToken","in":"path","description":"The login token of an admin or a Giver login token of the specified agent (creator o contributor)","required":true,"schema":{"type":"string"}},{"name":"strMemoriID","in":"path","description":"The ID of the Memori object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListInvitationsResponse"}}}}}}}},"components":{"schemas":{"ListInvitationsResponse":{"type":"object","properties":{"invitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"The list of Invitation objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Sent Invitations or List Received Invitations\r\nrequests."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## Gets a list of all Invitation objects.

> Access to Invitation objects not belonging to the current logged in> \
> user is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/AllInvitations/{strToken}":{"get":{"tags":["Invitation"],"summary":"Gets a list of all Invitation objects.","description":"Access to Invitation objects not belonging to the current logged in\r\nuser is granted only to administrative users.","operationId":"Invitation-ListAllInvitations","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListInvitationsResponse"}}}}}}}},"components":{"schemas":{"ListInvitationsResponse":{"type":"object","properties":{"invitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"The list of Invitation objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Sent Invitations or List Received Invitations\r\nrequests."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## Gets the details of an Invitation object of the currently logged in User.

> Access to Invitation objects not belonging tothe current logged in user> \
> is granted only to administrative users.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Invitation/{strToken}/{strInvitationID}":{"get":{"tags":["Invitation"],"summary":"Gets the details of an Invitation object of the currently logged in User.","description":"Access to Invitation objects not belonging tothe current logged in user\r\nis granted only to administrative users.","operationId":"Invitation-GetInvitation","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strInvitationID","in":"path","description":"The ID of the Invitation object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetInvitationResponse"}}}}}}}},"components":{"schemas":{"GetInvitationResponse":{"type":"object","properties":{"invitation":{"$ref":"#/components/schemas/InvitationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Invitation request."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## DELETE /api/v2/Invitation/{strToken}/{strInvitationID}

> Deletes an existing Invitation object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Invitation/{strToken}/{strInvitationID}":{"delete":{"tags":["Invitation"],"summary":"Deletes an existing Invitation object.","operationId":"Invitation-DeleteInvitation","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strInvitationID","in":"path","description":"The Invitation object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## PATCH /api/v2/Invitation/{strToken}/{strInvitationID}

> Updates an existing Invitation object sent by the currently> \
> logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Invitation/{strToken}/{strInvitationID}":{"patch":{"tags":["Invitation"],"summary":"Updates an existing Invitation object sent by the currently\r\nlogged in User.","operationId":"Invitation-UpdateInvitation","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strInvitationID","in":"path","description":"The Invitation object ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Invitation specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvitationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvitationResponse"}}}}}}}},"components":{"schemas":{"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."},"UpdateInvitationResponse":{"type":"object","properties":{"invitation":{"$ref":"#/components/schemas/InvitationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Update Invitation request."}}}}
````

## POST /api/v2/AcceptInvitation/{strToken}/{strInvitationID}

> Accepts an Invitation object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/AcceptInvitation/{strToken}/{strInvitationID}":{"post":{"tags":["Invitation"],"summary":"Accepts an Invitation object.","operationId":"Invitation-AcceptInvitation","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strInvitationID","in":"path","description":"The ID of the Invitation object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptInvitationResponse"}}}}}}}},"components":{"schemas":{"AcceptInvitationResponse":{"type":"object","properties":{"invitation":{"$ref":"#/components/schemas/InvitationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Accept Invitation request."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."}}}}
````

## POST /api/v2/RejectInvitation/{strToken}/{strInvitationID}

> Rejects an Invitation object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/RejectInvitation/{strToken}/{strInvitationID}":{"post":{"tags":["Invitation"],"summary":"Rejects an Invitation object.","operationId":"Invitation-RejectInvitation","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strInvitationID","in":"path","description":"The ID of the Invitation object","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## POST /api/v2/SendInvitation/{strToken}

> Sends a new Invitation object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/SendInvitation/{strToken}":{"post":{"tags":["Invitation"],"summary":"Sends a new Invitation object.","operationId":"Invitation-SendInvitation","parameters":[{"name":"strToken","in":"path","description":"A Giver login token of the specified agent (creator o contributor)","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Invitation specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvitationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendInvitationResponse"}}}}}}}},"components":{"schemas":{"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."},"SendInvitationResponse":{"type":"object","properties":{"invitation":{"$ref":"#/components/schemas/InvitationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Send Invitation request."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api/backend/invitation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
